Jump to content

EET v13.4 released


Recommended Posts

 

Not sure if this is EET or vanilla bug

In BG4600 in the Laurel quest to kill gibberlings, the Global("Gibberdead","BG4600") is not set regardless how many gibber.cre you kill. So the mimiquest never gets finished. Also, far too few gibber spawn to reach a value of 11 in the first place.

 

Not sure how this was intended to work but I think that gibber.bcs need somethink like

IF

Die()

AreaCheck("BG4600")

THEN

RESPONSE #100

IncrementGlobal("Gibberdead","BG4600",1)

END

 

Edit - tested my proposed code and all works as intended.

may be related to DSotSC (well, it almost 100% is). I will check it out, thanks.

I just want to tell you that this bug still occurs (just in case you wonder :) )

 

 

This one worked without issues for me. Using both SCS that adds to the number of gibberlings spawned and BG romantic encounters that adds dialogue with Laurel, so maybe one of those mods address it.

Link to comment

At least in my GOG version of BG2EE, there is no executable in the game directory, it is somewhere else. (And frankly, I'm skeptical about where executable patching will work on different platforms anyway.)

 

It will work. I just need to know where is the binary file used to start the game (relative path from within main game directory) and what is the name of it in OSX BG2:EE. Please look for it and post here. If there is some kind of shortcut for vanilla BG2:EE than it will point to the correct file (how else the game would be started?).

 

MENU ERROR
 
Invalid token in menu: [useOverlayTint] on line 4813, character 3

sounds like UI.MENU is different between Windows and Mac builds of the game or maybe MAC version doesn't support M_ lua files loading. Please upload UI.MENU as well as UTIL.LUA from vanilla BG2:EE. so I can compare them.

Edited by K4thos
Link to comment

sounds like UI.MENU is different between Windows and Mac builds of the game or maybe MAC version doesn't support M_ lua files loading. Please upload UI.MENU as well as UTIL.LUA from vanilla BG2:EE. so I can compare them.

I will upload when I get a chance (not sure when) but I highly highly doubt the files are different. I suspect it simply exists in a different place (like the executable) and EET is not pointing the COPY or whatever commands to the proper path.

 

Actually, I was just reading over in the Beamdog UI modding forum that UI.menu needs to be in /override in order to edit it? I tried to install EET on a stock BG2EE game, maybe UI.menu is still buried in the game files? Is it required to extract it into /override in order to install EET?

Link to comment

Actually, I was just reading over in the Beamdog UI modding forum that UI.menu needs to be in /override in order to edit it? I tried to install EET on a stock BG2EE game, maybe UI.menu is still buried in the game files? Is it required to extract it into /override in order to install EET?

WeiDU since v240 can fetch files of MENU type (along with LUA, TTF and PNG) from biff archives automatically.

Link to comment

 

Actually, I was just reading over in the Beamdog UI modding forum that UI.menu needs to be in /override in order to edit it? I tried to install EET on a stock BG2EE game, maybe UI.menu is still buried in the game files? Is it required to extract it into /override in order to install EET?

 

WeiDU since v240 can fetch files of MENU type (along with LUA, TTF and PNG) from biff archives automatically.
Maybe an error with that feature of weidu with macs though? Probably not a ton of other mods attempting to edit ui.menu on macs maybe? Edited by smeagolheart
Link to comment

EET RC 7.1 - Installing EET_gui makes EET crash. Problematic file is UI.MENU

Is EET RC 7.1 different from RC1.0 RC 7 which is linked on the first entry of this thread?

 

I just made a full install of it yesterday and use the EET_gui (SoD). No crash so far.

 

Link to comment
EET gives me the OLD cutscene movies, is there an easy fix for this?

If it ain't broken, don't fix it ;) That's intented behaviour. This way movies are more consistant with BG2:EE ones that still use vanilla BG2 movies. And on top of that movies are available with English, Polish, German, Spanish, French dubbing (all included in EET package) rather than just English and German. There will be an option to install back BG:EE movies via EET_Tweaks in future, though.

 

So, no final release version this year ? Shame on Beamdog for being so slow with their patches...

Personally I think it's amazing that Beamdog still supports these games with new patches. Nothing shameful about that. They could have dropped the support on v1.3 which was quite good when it comes to BG2:EE and IWD:EE (and in such case EET wouldn't be even possible considering it is highly dependent on patch 2.x features).

 

Is EET RC 7.1 different from RC1.0 RC 7 which is linked on the first entry of this thread?

changelog is available on GitHub. Nothing that important, really. You can copy scripts mentioned in the log from BG:EE to BG2:EE if you like since that's the only bug fix.

 

EET RC 7.1 - Installing EET_gui makes EET crash. Problematic file is UI.MENU

huh, subtledoctor reported something like this when installed on OSX. Not sure what's up, both BG2:EE and SoD GUI works for me. Anyone else with such problem? Did you install any other GUI related mods?

 

--------

 

ALIEN, when it comes to BWS keep in mind that there is only 1 component in setup-EET_end.exe now. More information in updated readme file. The reason for this is not to confuse users what EET_end is for and it's also likely that separate GUIs won't be needed in future if GUI skins will be implemented in next patch.

Edited by K4thos
Link to comment

My two cents about EET RC7.1:
1. I would strongly suggest to make the desktop shortcut creation optional. Not everyone wants to allow a mod to make changes outside of the game environment.
2. The EET download archive contains PNG files of same name but different case in the "EET/docs/images" subfolder which triggers confusing overwrite warnings on Windows (and probably OS X as well).

Link to comment

...

2. The EET download archive contains PNG files of same name but different case in the "EET/docs/images" subfolder which triggers confusing overwrite warnings on Windows (and probably OS X as well).

Should you not uninstall the previous EET and then DELETE THE WHOLE mod folder before you extract the new one ? Because that's how you would install a new mod to a clean game.... and on Windows, it fails to update the case of the overwritten files(because it should not matter in most cases, but it could...).

Edited by Jarno Mikkola
Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...